
From: Mikael Pettersson <mikpe@csd.uu.se>

Check for pending overflow via new API function.  Skip clearing pending
interrupt flag: the low-level driver takes care of that.  Both changes are
required for ppc32.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/perfctr/virtual.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/perfctr/virtual.c~perfctr-virtual-cleanup drivers/perfctr/virtual.c
--- 25/drivers/perfctr/virtual.c~perfctr-virtual-cleanup	Fri Nov 12 16:18:22 2004
+++ 25-akpm/drivers/perfctr/virtual.c	Fri Nov 12 16:18:22 2004
@@ -222,8 +222,7 @@ static inline void vperfctr_resume(struc
 static inline void vperfctr_resume_with_overflow_check(struct vperfctr *perfctr)
 {
 #ifdef CONFIG_PERFCTR_INTERRUPT_SUPPORT
-	if (perfctr->cpu_state.pending_interrupt) {
-		perfctr->cpu_state.pending_interrupt = 0;
+	if (perfctr_cpu_has_pending_interrupt(&perfctr->cpu_state)) {
 		vperfctr_handle_overflow(current, perfctr);
 		return;
 	}
_
